Subject: Maine Retail Deals
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 21 Feb 2001 06:13:00 -0800 (PST)

This month EES successfully renewed its affinity relationship with the Maine 
Electric Consumers Cooperative.  MECC, you will recall, is the C&I load 
aggregation group put together by Tony Buxton and Rich Silkman.  With the 
establishment of new market-based standard offer prices effective March 1, 
2001 customers in the aggregation group responded very favorably to the 
MECC/EES offers.  More than half of the load opted for five-year deals 
bringing sales to over 3 million mWh.  I am told as of last Friday the 
transactions booked a total aggregate margin of $21 million.

Phyllis Anzalone deserves most of the credit for bringing this one home.  
While I was not always involved in the day-to-day negotiations, I am proud to 
have strongly promoted the relationship with MECC and to have played a hand 
in the Maine Restructuring Law that made this and the ENA transaction 
possible.